import {  Col, Button, Table } from 'react-bootstrap'
import Zoom from '@mui/material/Zoom';

export function ListMode(props) {
    
    const opciones = { weekday: 'long', year: 'numeric', month: 'short', day: 'numeric' };
    let { setEdit, setDelete, setShow, setPuesto, data, index, showing } = props;

    return(
        <Col md="12">
            <div className="body-table">
                <Table responsive borderless id="tablaproductos">
                    <thead>
                        <tr >
                            <th className="text-center">Nombre de la plaza</th>
                            <th className="text-center">Descripción</th>
                            <th className="text-center">Creacion</th>
                            <th className="text-center">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        {
                            data.length && showing === 'list' ? 
                                data[index].map( (plaza) => {
                                    return (
                                    <Zoom key={plaza.id} in={true}>
                                        <tr >
                                            <td className="text-center">{ plaza.nombre }</td>
                                            <td className="text-center">{ plaza.description }</td>
                                            <td className="text-center">{ new Date( plaza.created ).toLocaleDateString('es-GT',opciones) }</td>
                                            <td className="actions_butons_plaza"> 
                                                <Button 
                                                    onClick={() => {
                                                        setPuesto(plaza) 
                                                        setShow(true)
                                                    }} 
                                                    className="ver_producto">Ver
                                                </Button>

                                                <Button 
                                                    onClick={() => {
                                                        setPuesto(plaza) 
                                                        setEdit(true)
                                                    }} 
                                                    className="editar_producto">Editar
                                                </Button>
                                                <Button 
                                                    onClick={() => {
                                                        setPuesto(plaza) 
                                                        setDelete(true) 
                                                    }} 
                                                    className="eliminar_producto">Eliminar
                                                </Button>
                                            </td>
                                        </tr>
                                    </Zoom>
                                    )
                            }) : <h1>no data bro</h1>
                        }
                    </tbody>
                    <tfoot>
                        <tr>
                            <th className="text-center">Nombre de la plaza</th>
                            <th className="text-center">Descripción</th>
                            <th className="text-center">Salario</th>
                            <th className="text-center">Acciones</th>
                        </tr>
                    </tfoot>
                </Table>
            </div>
        </Col>
    )
}
